## coq 8.14.0+dfsg

=== debian/changelog ===
coq (8.14.0+dfsg-4) unstable; urgency=medium

  * Strip libraries.
  * Build using dune directly.
  * Make the html doc point to a local logo file.
  * Make the html doc point to local css files.
  * Disable the bytecode-only architectures (Closes: #999651).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Nov 2021 06:59:19 +0100

coq (8.14.0+dfsg-3) unstable; urgency=medium

  * Add bash to the build-deps and generalize
  avoid-usr-bin-env.patch into a fix_debian_paths.patch ;
  made the other patches cope with it.
  * Add a patch to handle the timing scripts correctly.
  * Add a lintian override for false positive ocaml-dangling-cmi.
  * Add a lintian override for false positive
    shared-library-lacks-prerequisites.
  * Add a lintian override for maintainer-desktop-entry.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Nov 2021 12:23:41 +0100

coq (8.14.0+dfsg-2) experimental; urgency=medium

  * Add myself to uploaders.
  * Bump standards-version to 4.6.0.
  * Rewrite avoid-usr-bin-env.patch.
  * Drop python-scripts-libraries.patch.
  * Drop skip-dot-pc.patch.
  * Make the whole patch stack work.
  * Update lintian overrides about wildcard in HTML filenames.
  * Point coq-theories.doc-base to the new path.
  * Enable hardening flags in d/rules.
  * Add keywords to coqide.desktop.
  * Remove debian-shipped coqide.1 -- now upstream.
  * Add lintian overrides for long lines is source code.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 17:40:04 +0100

coq (8.14.0+dfsg-1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop retired Enrico Tassi from uploaders (Closes: #995543).
  * Rework d/copyright, d/gbp.conf, d/README.source and d/watch
    so updating to a new upstream is cleaner and simpler.
  * New upstream release (update patches, d/rules...).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Nov 2021 07:43:58 +0100
