=== debian/control ===
Source: coq
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Benjamin Barenblat <bbaren@debian.org>,
 Julien Puydt <jpuydt@debian.org>,
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Standards-Version: 4.6.0
Build-Depends:
 bash (>= 5.0),
 debhelper-compat (= 13),
 dh-exec,
 dh-ocaml (>= 0.9.5~),
 dh-python,
 ocaml-dune,
 ocaml-nox (>= 4.05),
 ocaml-findlib (>= 1.8.0),
 camlp5 (>= 6.14),
 liblablgtk3-ocaml-dev,
 liblablgtksourceview3-ocaml-dev (>= 3.0~beta8),
 libnum-ocaml-dev,
 libounit-ocaml-dev,
 libzarith-ocaml-dev,
 python3,
 rsync,
 tex-common
Build-Conflicts: libcoq-ocaml
Rules-Requires-Root: no
Homepage: http://coq.inria.fr/
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq
Vcs-Git: https://salsa.debian.org/ocaml-team/coq.git

Package: coq
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
Depends:
 coq-theories (= ${binary:Version}),
 ${ocaml:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-findlib
Provides: coq-${F:CoqABI}
Suggests:
 coqide | proofgeneral,
 ledit | readline-editor,
 libcoq-ocaml-dev,
 why (>= 2.19),
 coq-doc
Breaks: coq-libs (<< 8.2.pl1)
Replaces: coq-libs (<< 8.2.pl1)
Description: proof assistant for higher-order logic (toplevel and compiler)
 Coq is a proof assistant for higher-order logic, which allows the
 development of computer programs consistent with their formal
 specification. It is developed using Objective Caml and Camlp5.
 .
 This package provides coqtop, a command line interface to Coq.
 .
 A graphical interface for Coq is provided in the coqide package.
 Coq can also be used with ProofGeneral, which allows proofs to be
 edited using emacs and xemacs. This requires the proofgeneral
 package to be installed.

Package: coqide
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
Depends:
 coq (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: proof assistant for higher-order logic (gtk interface)
 Coq is a proof assistant for higher-order logic, which allows the
 development of computer programs consistent with their formal
 specification. It is developed using Objective Caml and Camlp5.
 .
 This package provides CoqIde, a graphical user interface for
 developing proofs.

Package: coq-theories
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
Depends: coq-${F:CoqABI}, ${misc:Depends}, ${shlibs:Depends}
Recommends: coq (>= 8.0)
Breaks: coq-doc (<= 8.0pl1.0-2), coq-libs (<< 8.2.pl1)
Replaces: coq-libs (<< 8.2.pl1)
Description: proof assistant for higher-order logic (theories)
 Coq is a proof assistant for higher-order logic, which allows the
 development of computer programs consistent with their formal
 specification. It is developed using Objective Caml and Camlp5.
 .
 This package provides existing theories that new proofs can be
 based upon, including theories of arithmetic and Boolean values.

Package: libcoq-ocaml
Section: ocaml
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs
Replaces: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs
Description: runtime libraries for Coq
 Coq is a proof assistant for higher-order logic, which allows the
 development of computer programs consistent with their formal
 specification. It is developed using Objective Caml and Camlp5.
 .
 This package provides runtime libraries for Coq.

Package: libcoq-ocaml-dev
Section: ocaml
Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
Depends:
 coq (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1)
Replaces: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1)
Description: development libraries and tools for Coq
 Coq is a proof assistant for higher-order logic, which allows the
 development of computer programs consistent with their formal
 specification. It is developed using Objective Caml and Camlp5.
 .
 This package provides and libraries needed to develop OCaml-side
 extensions to Coq.
