=== debian/changelog ===
coq (8.14.1+dfsg-2) unstable; urgency=medium

  * Make the ocaml libraries available in /usr/lib/ocaml
   (so ocamlfind sees them)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:54:23 +0100

coq (8.14.1+dfsg-1) unstable; urgency=medium

  * Ship META in the right package and hence Suggest: ocaml-findlib
   (following OCaml Packaging Policy).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Dec 2021 11:46:49 +0100

coq (8.14.0+dfsg-6) unstable; urgency=medium

  * Still missed bytecode-only architectures for some packages...

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Nov 2021 08:35:39 +0100

coq (8.14.0+dfsg-5) unstable; urgency=medium

  * Missed two bytecode-only architectures.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Nov 2021 07:33:35 +0100
