## coq 8.15.0%2Bdfsg

=== test-suite/Makefile ===
--- 
+++ 
@@ -20,14 +20,18 @@
 # The "run" target runs all tests that have not been run yet. To force
 # all tests to be run, use the "clean" target.
 
-# Setup for Dune-build ML artifacts
-COQ_SRC_DIR:=..
-
 ###########################################################################
 # Includes
 ###########################################################################
 
+# If Coq is not configured, we can't run the makefile.
+ifneq ($(wildcard ../config/Makefile ../_build/default/config/Makefile),)
+-include ../_build/default/config/Makefile
 -include ../config/Makefile
+  COQ_NOT_CONFIGURED:=false
+else
+  COQ_NOT_CONFIGURED:=true
+endif
 
 #######################################################################
 # Variables
@@ -46,24 +50,28 @@
   export FINDLIB_SEP=:
 endif
 
-# Be careful to use COQPREFIX when prefix is not set
-ifeq ($(COQPREFIX),local)
-	COQPREFIX:=$(shell cd ../..;pwd)/install/default/
-endif
-
+# The $(shell echo) trick is necessary due to configure quoting
+# filenames, still, this issue is tricky when paths contain spaces
 export OCAMLPATH := $(shell echo $(COQPREFIX)/lib$(FINDLIB_SEP)$$OCAMLPATH)
-export CAML_LD_LIBRARY_PATH:=$(COQPREFIX)/lib/stublibs:$(CAML_LD_LIBRARY_PATH)
-
-ifneq ($(wildcard ../_build/default/config/Makefile),)
-include ../_build/default/config/Makefile
-endif
+export CAML_LD_LIBRARY_PATH:=$(shell echo $(COQPREFIX)/lib/stublibs):$(CAML_LD_LIBRARY_PATH)
 
 # COQLIB is an env variable so no quotes
 COQLIB?=
+
 ifeq ($(COQLIB),)
+# Guard againt the COQLIBINSTALL directory not existing, otherwise
+# ocaml_pwd will error
+ifneq ($(wildcard $(shell echo $(COQLIBINSTALL))),)
 	COQLIB := $(shell ocaml ocaml_pwd.ml $(COQLIBINSTALL))
 endif
+endif
 export COQLIB
+
+ifeq ($(wildcard $(COQLIB)/theories/Reals/Reals.vo),)
+  COQLIB_NOT_FOUND:=true
+else
+  COQLIB_NOT_FOUND:=false
+endif
 
 COQEXTRAFLAGS?=
 COQFLAGS?=$(COQEXTRAFLAGS)
@@ -151,19 +159,38 @@
 .DELETE_ON_ERROR:
 .PHONY: all run clean $(SUBSYSTEMS)
 
+ifeq ($(COQ_NOT_CONFIGURED),true)
+all:
+	@echo ""
+	@echo "Coq has not been configured, please run any of: "
+	@echo "  - make -f Makefile.dune world"
+	@echo "  - ./configure -profile devel && make -j NJOBS world"
+	@echo "Before running the test suite"
+	@echo ""
+	@false
+else
+ifeq ($(COQLIB_NOT_FOUND),true)
+all:
+	@echo ""
+	@echo "Coq's standard library has not been built; please run any of: "
+	@echo "  - make -j NJOBS world          if you used -profile devel in configure"
+	@echo "  - make -f Makefile.dune world  if you want to use dune autogenerated configure setup"
+	@echo ""
+	@false
+else
 all: run
 	$(MAKE) report
+endif
+endif
 
 # do nothing
 .PHONY: noop
 noop: ;
 
 run: $(SUBSYSTEMS)
-bugs: $(BUGS)
 
 clean:
 	rm -f trace .csdp.cache .nia.cache .lia.cache output/MExtraction.out
-	rm -f vos/Makefile vos/Makefile.conf
 	rm -f misc/universes/all_stdlib.v
 	$(SHOW) 'RM        <**/*.stamp> <**/*.vo> <**/*.vio> <**/*.log> <**/*.glob>'
 	$(HIDE)find . \( \
@@ -300,30 +327,3 @@
 OCAMLOPT := $(OCAMLFIND) opt $(CAMLFLAGS)
 OCAMLC := $(OCAMLFIND) ocamlc $(CAMLFLAGS)
 
-# ML files from unit-test framework, not containing tests
-UNIT_SRCFILES:=$(shell find ./unit-tests/src -name '*.ml')
-UNIT_ALLMLFILES:=$(shell find ./unit-tests -name '*.ml')
-UNIT_MLFILES:=$(filter-out $(UNIT_SRCFILES),$(UNIT_ALLMLFILES))
-UNIT_LOGFILES:=$(patsubst %.ml,%.ml.log,$(UNIT_MLFILES))
-
-ifneq ($(BEST),opt)
-UNIT_LINK:=utest.cmo
-OCAMLBEST:=$(OCAMLC)
-else
-UNIT_LINK:=utest.cmx
-OCAMLBEST:=$(OCAMLOPT)
-endif
-
-unit-tests/src/utest.cmx: unit-tests/src/utest.ml unit-tests/src/utest.cmi
-	$(SHOW) 'OCAMLOPT  $<'
-	$(HIDE)$(OCAMLOPT) -c -I unit-tests/src -package ounit2 $<
-unit-tests/src/utest.cmo: unit-tests/src/utest.ml unit-tests/src/utest.cmi
-	$(SHOW) 'OCAMLC  $<'
-	$(HIDE)$(OCAMLC) -c -I unit-tests/src -package ounit2 $<
-unit-tests/src/utest.cmi: unit-tests/src/utest.mli
-	$(SHOW) 'OCAMLC  $<'
-	$(HIDE)$(OCAMLC) -package ounit2 -c $<
-
-unit-tests: $(UNIT_LOGFILES)
-
-# Build executable, run it to generate log file
