=== debian/changelog ===
coq (8.15.0+dfsg-2) unstable; urgency=medium

  * Rework binary packages so they follow more closely
  upstream's view of its "packages".

 -- Julien Puydt <jpuydt@debian.org>  Fri, 04 Feb 2022 08:54:41 +0100

coq (8.15.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1003586)
  * Refresh patches.
  * Refresh lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 12:26:54 +0100
