=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  dh-python,
  ocaml-dune,
  ocaml-nox (>= 4.05),
+ ocaml-native-compilers,
  ocaml-findlib (>= 1.8.0),
  camlp5 (>= 6.14),
  liblablgtk3-ocaml-dev,
@@ -26,16 +27,15 @@
  python3,
  rsync,
  tex-common
-Build-Conflicts: libcoq-ocaml
 Rules-Requires-Root: no
 Homepage: http://coq.inria.fr/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq.git
 
 Package: coq
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
+Architecture: any
 Depends:
- coq-theories (= ${binary:Version}),
+ libcoq-stdlib (= ${binary:Version}),
  ${ocaml:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -46,7 +46,7 @@
 Suggests:
  coqide | proofgeneral,
  ledit | readline-editor,
- libcoq-ocaml-dev,
+ libcoq-core-ocaml-dev,
  why (>= 2.19),
  coq-doc
 Breaks: coq-libs (<< 8.2.pl1)
@@ -64,7 +64,7 @@
  package to be installed.
 
 Package: coqide
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
+Architecture: any
 Depends:
  coq (= ${binary:Version}),
  ${ocaml:Depends},
@@ -78,12 +78,13 @@
  This package provides CoqIde, a graphical user interface for
  developing proofs.
 
-Package: coq-theories
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
-Depends: coq-${F:CoqABI}, ${misc:Depends}, ${shlibs:Depends}
+Package: libcoq-stdlib
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: coq (>= 8.0)
-Breaks: coq-doc (<= 8.0pl1.0-2), coq-libs (<< 8.2.pl1)
-Replaces: coq-libs (<< 8.2.pl1)
+Provides: coq-theories (= ${binary:Version})
+Breaks: coq-doc (<= 8.0pl1.0-2), coq-libs (<< 8.2.pl1), coq-theories
+Replaces: coq-libs (<< 8.2.pl1), coq-theories
 Description: proof assistant for higher-order logic (theories)
  Coq is a proof assistant for higher-order logic, which allows the
  development of computer programs consistent with their formal
@@ -92,16 +93,17 @@
  This package provides existing theories that new proofs can be
  based upon, including theories of arithmetic and Boolean values.
 
-Package: libcoq-ocaml
+Package: libcoq-core-ocaml
 Section: ocaml
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
+Architecture: any
 Depends:
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
-Provides: ${ocaml:Provides}
-Breaks: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs
-Replaces: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs
+Suggests: ocaml-findlib
+Provides: ${ocaml:Provides}, libcoq-ocaml (= ${binary:Version})
+Breaks: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs, libcoq-ocaml
+Replaces: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs, libcoq-ocaml
 Description: runtime libraries for Coq
  Coq is a proof assistant for higher-order logic, which allows the
  development of computer programs consistent with their formal
@@ -109,17 +111,17 @@
  .
  This package provides runtime libraries for Coq.
 
-Package: libcoq-ocaml-dev
+Package: libcoq-core-ocaml-dev
 Section: ocaml
-Architecture: amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x hurd-i386 ppc64 riscv64
+Architecture: any
 Depends:
  coq (= ${binary:Version}),
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
-Provides: ${ocaml:Provides}
-Breaks: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1)
-Replaces: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1)
+Provides: ${ocaml:Provides}, libcoq-ocaml-dev (= ${binary:Version})
+Breaks: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
+Replaces: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
 Description: development libraries and tools for Coq
  Coq is a proof assistant for higher-order logic, which allows the
  development of computer programs consistent with their formal
