=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.14.1
+COQ_VERSION := 8.15.0
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
@@ -23,11 +23,13 @@
 	+dh $@ --with ocaml,python3
 
 override_dh_auto_configure:
-	# none with dune
+	./configure -prefix=/usr -libdir=/usr/lib/ocaml/coq -mandir=/usr/share/man
 
 override_dh_auto_build:
 	dune build -p coq-core,coq-stdlib,coqide-server,coqide --display=verbose
+	# we don't really have the full documentation
 	dune build @stdlib-html --display=verbose
+	touch _build/default/coq-doc.install
 	# all the html files point to the same logo - ship it and point to it
 	cp ide/coqide/coq.png _build/default/doc/stdlib/html/logo.png
 	find _build/default/doc/stdlib/html/ -name "*.html" | xargs sed -i -e "s,//coq.inria.fr/files/barron_logo.png,logo.png,g"
@@ -59,36 +61,30 @@
 
 override_dh_auto_install:
 	dune install coq-core coq-stdlib coqide-server coqide \
-		--destdir=$(CURDIR)/debian/tmp --prefix=/usr --mandir=/usr/share/man
+		--destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=/usr/lib/ocaml --mandir=/usr/share/man
 	mkdir -p $(CURDIR)/debian/tmp/usr/doc/coq-stdlib/html
 	install -m 644 _build/default/doc/stdlib/html/* $(CURDIR)/debian/tmp/usr/doc/coq-stdlib/html
 	# cleaning what upstream installs and we don't (need to) ship
-	rm -rf  $(CURDIR)/debian/tmp/usr/doc/coq-core/LICENSE \
-		$(CURDIR)/debian/tmp/usr/doc/coqide/odoc-pages \
-		$(CURDIR)/debian/tmp/usr/doc/coqide/LICENSE \
+	find $(CURDIR)/debian/tmp -name LICENSE -delete
+	rm -rf  $(CURDIR)/debian/tmp/usr/doc/coqide/odoc-pages \
+		$(CURDIR)/debian/tmp/usr/doc/coq-stdlib/odoc-pages \
+		$(CURDIR)/debian/tmp/usr/lib/ocaml/coq-core/revision \
 		$(CURDIR)/debian/tmp/usr/doc/coqide-server \
-		$(CURDIR)/debian/tmp/usr/doc/coq-stdlib/LICENSE \
-		$(CURDIR)/debian/tmp/usr/doc/coq-stdlib/odoc-pages \
-		$(CURDIR)/debian/tmp/usr/lib/coq-core/revision \
-		$(CURDIR)/debian/tmp/usr/lib/coqide \
-		$(CURDIR)/debian/tmp/usr/lib/coqide-server \
-		$(CURDIR)/debian/tmp/usr/lib/coq-stdlib
+		$(CURDIR)/debian/tmp/usr/lib/ocaml/coqide-server
 	# ok, now we detect what to ship
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/pixmaps
-	cp debian/coq.xpm debian/tmp/usr/share/pixmaps/coqide.xpm
-	find debian/tmp -regextype posix-awk \
+	find debian/tmp/usr/lib/ocaml/coq-core -regextype posix-awk \
 	  -regex '.*\.(cma|cmxs)$$' \
-	  >> debian/libcoq-ocaml.install
-	find debian/tmp -regextype posix-awk \
+	  >> debian/libcoq-core-ocaml.install
+	find debian/tmp/usr/lib/ocaml/coq-core -regextype posix-awk \
 	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
-	  >> debian/libcoq-ocaml-dev.install
+	  >> debian/libcoq-core-ocaml-dev.install
 	find debian/tmp -regextype posix-awk \
 	  -regex '.*\.(v|vo|vos|glob)$$' \
-	  >> debian/coq-theories.install
+	  >> debian/libcoq-stdlib.install
 
 # to make dh-exec work
 override_dh_install:
-	chmod +x debian/coq.install
+	chmod +x debian/coq.install debian/coqide.install
 	dh_install
 
 override_dh_gencontrol:
