## coq 8.15.1+dfsg

=== debian/changelog ===
coq (8.15.1+dfsg-2) unstable; urgency=medium

  * Don't strip everything!
  * Add a patch to fix a typo.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 20 May 2022 15:53:07 +0200

coq (8.15.1+dfsg-1) unstable; urgency=medium

  * Better d/watch.
  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 22 Mar 2022 18:05:26 +0100
