=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.15.0
+COQ_VERSION := 8.15.1
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
@@ -94,11 +94,6 @@
 	done
 	dh_gencontrol
 
-override_dh_strip:
-	# usual dh_strip finds lib*.a, not *.a
-	find debian/ -name "*.a" -exec strip '{}' \;
-	dh_strip
-
 # why is this necessary?
 override_dh_fixperms:
 	dh_fixperms
