## coq 8.15.2+dfsg

=== debian/changelog ===
coq (8.15.2+dfsg-2) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jun 2022 16:16:14 +0200

coq (8.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 May 2022 21:39:53 +0200
