=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Build-Depends:
  bash (>= 5.0),
  debhelper-compat (= 13),
+ dh-coq,
  dh-exec,
  dh-ocaml (>= 0.9.5~),
  dh-python,
@@ -82,7 +83,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: coq (>= 8.0)
-Provides: coq-theories (= ${binary:Version})
+Provides: coq-theories (= ${binary:Version}), ${coq:Provides}
 Breaks: coq-doc (<= 8.0pl1.0-2), coq-libs (<< 8.2.pl1), coq-theories
 Replaces: coq-libs (<< 8.2.pl1), coq-theories
 Description: proof assistant for higher-order logic (theories)
