=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.15.1
+COQ_VERSION := 8.15.2
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
@@ -17,10 +17,7 @@
   -e 's%@CoqABI@%$(COQ_ABI)%'
 
 %:
-	+dh $@ --with ocaml,python3
-
-build:
-	+dh $@ --with ocaml,python3
+	+dh $@ --with coq,ocaml,python3
 
 override_dh_auto_configure:
 	./configure -prefix=/usr -libdir=/usr/lib/ocaml/coq -mandir=/usr/share/man
