## coq 8.16.0+dfsg

=== debian/changelog ===
coq (8.16.0+dfsg-1build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 07:41:35 +0100

coq (8.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 17:56:26 +0200
