=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  ocaml-native-compilers,
  ocaml-findlib (>= 1.8.0),
  camlp5 (>= 6.14),
+ libfindlib-ocaml-dev,
  liblablgtk3-ocaml-dev,
  liblablgtksourceview3-ocaml-dev (>= 3.0~beta8),
  libnum-ocaml-dev,
