=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.15.2
+COQ_VERSION := 8.16.0
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
