## coq 8.16.1+dfsg

=== debian/changelog ===
coq (8.16.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 29 Nov 2022 09:28:08 +0100
