## coq 8.17.0+dfsg

=== debian/changelog ===
coq (8.17.0+dfsg-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 05 Nov 2023 08:05:46 +0100

coq (8.17.0+dfsg-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:05:45 +0200

coq (8.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Refresh lintian overrides.
  * Fix build.
  * Bump standards-version to 4.6.2.
  * Add patch to workaround a problem in coq-unimath.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 08:54:21 +0200
