=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Julien Puydt <jpuydt@debian.org>,
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  bash (>= 5.0),
  debhelper-compat (= 13),
