=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
-COQ_VERSION := 8.16.1
+COQ_VERSION := 8.17.0
 COQ_ABI := $(COQ_VERSION)+$(OCAML_ABI)
 
 PACKAGES := $(shell dh_listpackages)
@@ -23,6 +23,7 @@
 	./configure -prefix=/usr -libdir=/usr/lib/ocaml/coq -mandir=/usr/share/man
 
 override_dh_auto_build:
+	make dunestrap
 	dune build -p coq-core,coq-stdlib,coqide-server,coqide --display=verbose
 	# we don't really have the full documentation
 	dune build @stdlib-html --display=verbose
