## coq 8.18.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coq
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Benjamin Barenblat <bbaren@debian.org>,
  Julien Puydt <jpuydt@debian.org>,
@@ -9,17 +10,15 @@
  Stéphane Glondu <glondu@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
- bash (>= 5.0),
  debhelper-compat (= 13),
  dh-coq,
  dh-exec,
- dh-ocaml (>= 0.9.5~),
+ dh-ocaml,
  dh-python,
  ocaml-dune,
- ocaml-nox (>= 4.05),
+ ocaml,
  ocaml-native-compilers,
  ocaml-findlib (>= 1.8.0),
- camlp5 (>= 6.14),
  libfindlib-ocaml-dev,
  liblablgtk3-ocaml-dev,
  liblablgtksourceview3-ocaml-dev (>= 3.0~beta8),
@@ -42,7 +41,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- ocaml-nox,
+ ocaml,
  ocaml-findlib
 Provides: coq-${F:CoqABI}
 Suggests:
@@ -83,7 +82,7 @@
 Package: libcoq-stdlib
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: coq (>= 8.0)
+Recommends: coq
 Provides: coq-theories (= ${binary:Version}), ${coq:Provides}
 Breaks: coq-doc (<= 8.0pl1.0-2), coq-libs (<< 8.2.pl1), coq-theories
 Replaces: coq-libs (<< 8.2.pl1), coq-theories
@@ -104,8 +103,8 @@
  ${misc:Depends}
 Suggests: ocaml-findlib
 Provides: ${ocaml:Provides}, libcoq-ocaml (= ${binary:Version})
-Breaks: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs, libcoq-ocaml
-Replaces: coq (<< 8.3~), libcoq-ocaml-dev (<< 8.3~), coq-libs, libcoq-ocaml
+Breaks: coq-libs, libcoq-ocaml
+Replaces: coq-libs, libcoq-ocaml
 Description: runtime libraries for Coq
  Coq is a proof assistant for higher-order logic, which allows the
  development of computer programs consistent with their formal
@@ -122,8 +121,8 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}, libcoq-ocaml-dev (= ${binary:Version})
-Breaks: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
-Replaces: coq (<< 8.2-1+dfsg-1), coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
+Breaks: coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
+Replaces: coq-libs (<< 8.2.pl1), libcoq-ocaml-dev
 Description: development libraries and tools for Coq
  Coq is a proof assistant for higher-order logic, which allows the
  development of computer programs consistent with their formal
